1. pl-wpv-record
Dokumentacja MGBI API
  • MGBI API
    • Wprowadzenie
    • Autoryzacja
    • Pojęcia
    • Modele danych
      • pl-krs-wp-record
      • pl-krs-wp-entry
      • pl-krs-rdf-record
      • pl-ceidg-hd-record
      • pl-krz-wp-record
      • pl-wpv-record
      • pl-crbr-wp-record
      • pl-msig-record
      • pl-sudop-wpopb-record
      • pl-bzp-record
      • pl-rdr-record
      • pl-idpcit-record
      • pl-mgbi-lu-record
    • Endpointy dla modeli danych
      • pl-krs-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-krs-wp-entry
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-krs-rdf-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Type Enum Values
        • Get Model Info
      • pl-ceidg-hd-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-krz-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-wpv-record
        • Get Records
          GET
        • Get Record By Id
          GET
        • Stream Records
          GET
        • Post Stream Records
          POST
        • Get Limits
          GET
        • Get Projections
          GET
        • Get Model Info
          GET
      • pl-crbr-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-msig-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-sudop-wpopb-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-bzp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-rdr-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-idpcit-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-mgbi-lu-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Category
        • Get Model Info
    • Zlecanie odświeżenia danych
      • Ogólne informacje
      • Create Refresh
      • Get Refresh
    • Tworzenie raportów
      • Ogólne informacje
      • Create Report
      • Get Report By Id
      • Get Reports
      • Download Report
      • Delete Report
  1. pl-wpv-record

Get Record By Id

GET
/v1/models/pl-wpv-record/records/{id}
Pobiera pojedynczy rekord z danymi podmiotu z Wykazu Podatników VAT (Białej Listy VAT).
W przypadku sukcesu w odpowiedzi zwraca rekord o podanym identyfikatorze.
W przypadku, gdy rekord o podanym identyfikatorze nie istnieje, zwraca błąd 404.
Poprawne wywołanie endpointu zwiększa liczniki:
api i api_get o 1
records i records_api_get o 1

Request

Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.mgbi.pl/v1/models/pl-wpv-record/records/?projection=&content=' \
--header 'Authorization;'

Responses

🟢200Pojedynczy rekord
application/json
Pojedynczy rekord
Bodyapplication/json

Example
{
    "_id": "674706cb585d7bc7e9207c4b",
    "content": {
        "raw_result": {
            "requestDateTime": "31-10-2024 15:49:51",
            "requestId": "NGORD-917cegf",
            "subject": {
                "accountNumbers": [
                    "20102030170000240204460663",
                    "25102030170000220204460671",
                    "28102030170000270205043536",
                    "97102030170000240205150208"
                ],
                "authorizedClerks": [],
                "hasVirtualAccounts": false,
                "krs": "0000245778",
                "name": "APINEX TECHNIKA TWORZYW SZTUCZNYCH SPÓŁKA Z OGRANICZONĄ ODPOWIEDZIALNOŚCIĄ",
                "nip": "1010001148",
                "partners": [],
                "registrationLegalDate": "2005-12-01",
                "regon": "020159328",
                "representatives": [],
                "statusVat": "Czynny",
                "workingAddress": "GNIEWOMIERZ 179A, 59-241 GNIEWOMIERZ"
            }
        }
    },
    "identifiers": {
        "pl_krs": "0000245778",
        "pl_nip": "1010001148",
        "pl_regon": "020159328"
    },
    "meta": {
        "first_update_datetime": "2024-11-27T11:47:20.325",
        "last_update_datetime": "2024-11-27T11:47:20.325"
    },
    "version": {
        "from_datetime": "2023-12-30T23:00:00.000",
        "latest": true,
        "to_datetime": "2023-12-31T23:00:00.000"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠429Too Many Requests
Modified at 2026-06-03 11:40:06
Previous
Get Records
Next
Stream Records
Built with